Subject: Re: RCS keyword expansion

From: Sam Vilain <[email-masked]>
Date: Fri, 12 Oct 2007 10:35:31 +1300

Johannes Schindelin wrote:
> The problem is this: for efficiency, git does not change files which have 
> not changes between the last version checked out (whatever that is) and 
> the current version.
> 
> This seems counterintuitive to people coming from SVN/CVS: they expect 
> _every_ file to be touched when checking out.

Well, that's not entirely true.  SVN for one doesn't change the keywords
on files that haven't changed.  You can't have a keyword that expands to
the current head revision, for instance.

SVN's answer to the problem of how this works with merging is largely
arbitrary; if you are merging changes in, the $Id$ becomes expanded to
the merge that affected that path, not the change that introduced this
version of the file.

Sam.